--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: extended
comment: 
constants: []

full_name: DataMapper::Model::Property
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: field_naming_convention
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: key
- !ruby/object:RI::MethodSummary 
  name: key_conditions
- !ruby/object:RI::MethodSummary 
  name: paranoid_properties
- !ruby/object:RI::MethodSummary 
  name: properties
- !ruby/object:RI::MethodSummary 
  name: properties_with_subclasses
- !ruby/object:RI::MethodSummary 
  name: property
- !ruby/object:RI::MethodSummary 
  name: serial
- !ruby/object:RI::MethodSummary 
  name: set_paranoid_property
name: Property
superclass: 
